{# <div class="boutons">{{ Button('Ajouter un contact' |trad, 1,'', "ajoutLigneContactFou()") }}</div>#}

<table class="table table-hover tableForm" id='ligneContactFou'>
    <thead class="thead-dark">
        <tr>
            <th scope="col">{{ 'Nom' | trad }}</th>
            <th scope="col">{{ 'Fonction' | trad }}</th>
            <th scope="col">{{ 'Téléphone' | trad }}</th>
            <th scope="col">{{ 'Fax' | trad }}</th>
            <th scope="col">{{ 'Portable' | trad }}</th>
            <th scope="col">{{ 'Email' | trad }}</th>
            {% if fromConsultation %}
                <th scope="col">{{ 'Portail Fournisseur' | trad }}</th>
            {% else %}
                <th scope="col">{{ 'E-proc ?' | trad }}</th>
            {% endif %}
            <th scope="col" width="6%">
                {% if droit.HA_FRS_CON %}
                    <a class="ajouter_blanc_v2  white-tooltip"  onClick="ajoutLigneContact('{{ CODE }}');" style="float: right;">
                        <span class="infos_tooltip left">
                            {{ 'Ajouter un contact' |trad }}
                        </span>
                    </a>
                {% endif %}
            </th>
        </tr>
    </thead>
    
    {% for ligne in listeContactFou %}
        {% set index = loop.index %}
        {% include '@GlobalApplication/ModifDaCde/ContactsFournisseur/detailContact.twig' %}
    {% else %}
        <tr style="display:none"><td colspan="10"></td></tr>
    {% endfor %}
</table>

<script>
{% if idTrigger %}
    $('.sous_onglet > li >  a').click(function(){
    
    	if($(this).attr('class')===undefined)
    	{
    		$('#{{ idClose }}').hide();
    		$('#{{ iDivReset }}').html('');
    
    		$('#{{ idTriggerCreation }}').hide();
    		$('#{{ iDivAdd }}').html('');
    	}
    });
    
    $('#{{ idClose }}').click(function(){
    	$('#{{ idTriggerCreation }}').hide();
    	$('#{{ iDivAdd }}').html('');
    });

{% endif %}
    function ajoutLigneContact(codeFou, edit)
    {
        $.ajax({
            dataType : 'html',
        	url: "{{ path('GlobalApplication.ContactsFournisseur.ajaxAjoutLigneContact', {contexte: 'cde'}) }}",
        	data: {'FOU' : codeFou, 'CODE' : '','idClose' : 'onglet_DivModulable', 'MODIF_CONTACT_FOU' : edit, 'fromConsultation': '{{ fromConsultation? 1:0 }}'},
        	type: "POST",
        	success: function(result){
            	$('#onglet_DivModulableCreation').show();
            	$('#onglet_DivModulableCreation')
                    .find('a')
                    .html(edit === undefined ? 
                        {{ 'Création contact' | trad | json }} :
                        {{ 'Modification contact' | trad | json }}
                    )
                    .trigger('click');
        		$('#DivModulableCreation').html(addFonctionAjax(result));
            	desactiveLoader();
        	}
        });
    }
</script>